﻿@model ARGNSMDAccess

@{
    string mTrId = "TR_Accessories" + Model.LineId;
    string mButtons = "Buttons" + Model.LineId;
    string mTrims = "Trims" + Model.LineId;
    string mZippers = "Zippers" + Model.LineId;
    string mIsNew = "Accessories_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mButtons' class="form-control" value='@Model.U_Buttons' onchange="LineWasChanged('@Model.LineId','Accessories');" /></td>
        <td><input id='@mTrims' class="form-control" value='@Model.U_Trims' onchange="LineWasChanged('@Model.LineId','Accessories');" /></td>
        <td><input id='@mZippers' class="form-control" value='@Model.U_Zippers' onchange="LineWasChanged('@Model.LineId','Accessories');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                    DictRow.ListUFD1,
                                    "FldValue",
                                    "Descr", DictRow.Value), new { @Id = "LINEUDF_Accessories_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_Accessories_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','Accessories');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Accessories_@DictRow.UDFName@Model.LineId' name="LINEUDF_Accessories_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','Accessories');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}